%   SLI_GRADIENT_MLE_2020 IS A SOFTWARE BUNDLE THAT IMPLEMENTS THE 
%   GRADIENT-BASED STOCHASTIC LOCAL INTERACTION SPATIAL MODEL in D dimensions. 
%==========================================================================
%   EXAMPLES: Examples for SLI parameter estimation, interpolation, and 
%   mapping  are given in the script Main_examples.m
%==========================================================================
%   The three main functions for SLI estimation, interpolation and mapping 
%   are those having names that begin with "Main":
%
%   1. Main_sli_mle: It should be run before the other scripts. 
%   It estimates the SLI parameters for a specified dataset. 
%   2. Main_loocv_sli: This function can be run after Main_sli_mle.m if it
%   is desired to obtain Leave-One-Out Cross validation estimates. 
%   3. Main_sli_map: This function is executed in order to interpolate a
%   give dataset and generated predictions at the nodes of a map grid. This
%   works only for two-dimensional data z(x,y)
%
%   4. INTERPOLATION AT SET OF P POINTS
%   Note that if the target is to predict the unknown values at a number of
%   sites (not necessarily on a map) one can simply execute the command: 
%
%   [ Zphat, svar ] = Predict_SLI(dd, locs, zs, plocs, kernel, K, modelsli, Param_sli );
%
%   where: 
%   dd:         Space dimension
%   locs:       Data locations (array N x dd)
%   zs:         Data values (array N x 1)
%   plocs:      Prediction Locations (array P x dd) 
%   kernel:     String specifying kernel function (help kernel_s for
%   different types)
%   K:          Neighbor order (K=3 should be adequate)
%   modelsli:   SLI model structure (you need to first run Main_sli_mle.m
%   for the same dataset)
%   Param_sli:  SLI parameter vector (you need to first run Main_sli_mle.m
%   for the same dataset)
%==========================================================================
%
%  Copyright (C) 2020  Dionisis Hristopulos, Andreas Pavlides, Vasiliki
%  Agou
%  email: dchristopoulos@ece.tuc.gr
%
%  This bundle is free software; you can redistribute it and/or modify it
%  under the terms of the GNU General Public License as published by the
%  Free Software Foundation (version 2 of the License or  later version).
%
%  This program is distributed WITHOUT ANY WARRANTY.
%  See the GNU General Public License for more details.
%==========================================================================